<!-- start: BREADCRUMB -->
<div class="breadcrumb-wrapper">
	<h4 class="mainTitle no-margin">Transactions</h4>
	<span class="mainDescription">overview of your transactions </span>
	<div ncy-breadcrumb class="pull-right"></div>
</div>
<!-- end: BREADCRUMB -->
<!-- start: BASIC TABLE -->
<div class="container-fluid container-fullw" data-ng-controller="TransactionCtrl">
	<div class="row">
        <div class="col-md-12">
            <div class="panel panel-white" id="panel1">
                <div class="panel-heading">
                    <h4 class="panel-title">Transaction <span class="text-bold">Filters</span></h4>
                    <ct-paneltool class="panel-tools" tool-collapse="tool-collapse"></ct-paneltool>
                </div>
                <div uib-collapse="panel1" ng-init="panel1=false" class="panel-wrapper">
                <div class="panel-body">
                    <div class="row">
        				<div class="col-md-3">
		                    <div class="form-group">
							    <label for="form-field-select-1">
							    Media
							    </label>
							    <select
                                        id="form-field-select-1"
                                        class="form-control"
                                        data-ng-model="selected.website_ids"
                                        ng-change="getTransactions()"
                                        data-ng-options="website.id as website.domain for website in websites"
                                        multiple >
							    </select>
							</div>
						</div>
						<div class="col-md-3">
		                    <div class="form-group">
							    <label for="form-field-select-2">
							    Advertiser
							    </label>
							    <select
                                        id="form-field-select-2"
                                        class="form-control"
                                        data-ng-model="selected.program_name"
                                        ng-change="getTransactions()"
                                        data-ng-options="advertiser for advertiser in advertisers"
                                        multiple>
							    </select>
							</div>
						</div>
						<div class="col-md-3">
		                    <div class="form-group">
							    <label for="form-field-select-3">
							    Network
							    </label>
							    <select
                                        id="form-field-select-3"
                                        class="form-control"
                                        data-ng-model="selected.affiliate_network_name"
                                        ng-change="getTransactions()"
                                        data-ng-options="network.name as network.human_readable_name for network in networks"
                                        multiple>
							    </select>
							</div>
						</div>
					</div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-white" id="panel2">
                <div class="panel-heading">
                    <h4 class="panel-title">Transaction <span class="text-bold">Overview</span></h4>
                    <ct-paneltool class="panel-tools" tool-expand="tool-expand"></ct-paneltool>
                </div>
                <div uib-collapse="panel2" ng-init="panel2=false" class="panel-wrapper">
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-hover" id="sample-table-1">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th class="hidden-xs">Media</th>
                                    <th>Advertiser</th>
                                    <th class="hidden-xs">Description</th>
                                    <th class="hidden-xs">Network</th>
                                    <th>Commission</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr data-ng-repeat="record in records.data">
                                    <td>{{record.date_transaction}}</td>
                                    <td>{{record.media.website.domain}}</td>
                                    <td>{{record.program_name}}</td>
                                    <td>{{record.store_name}}</td>
                                    <td>{{record.affiliate_network.human_readable_name}}</td>
                                    <td>{{record.amount | currency: record.currency.code}}</td>
                                    <td><span class="label label-sm" data-ng-class="statusClass(record.transaction_status_id)">{{record.transaction_status}}</span></td>
                                </tr>
                            </tbody>
                        </table>
                        <ul uib-pagination total-items="records.total" items-per-page="50"  ng-model="records.current_page" ng-change="getTransactions()" max-size="5" class="pagination-sm pull-right" boundary-link-numbers="true" rotate="false"></ul>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>
<!-- end: BASIC TABLE -->